Std ViewIsometric: Difference between revisions

From FreeCAD Documentation
(Puts the camera in the 3D view in axonometric isometric view.)
 
(→‎How to use: It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.)
Line 21: Line 21:
# Go to the menu {{MenuCommand|View → Standard views → Axonometric → [[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}}.
# Go to the menu {{MenuCommand|View → Standard views → Axonometric → [[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}}.
# Or press the {{Button|[[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.
# Or press the {{Button|[[File:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.

== Scripting ==

The isometric view can be set from the [[Python|Python]] console.

It is a method of the {{incode|ActiveView}} of the {{incode|ActiveDocument}}. The {{incode|ActiveView}} only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.

</translate>
{{Code|code=
import FreeCAD as App
App.Gui.ActiveDocument.ActiveView.viewIsometric()

import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()
}}
<translate>


{{Std Base}}
{{Std Base}}

Revision as of 23:25, 20 November 2019

Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Orthographic camera

Description

Puts the camera in the 3D view in axonometric isometric view.

Perspective on the left, orthographic on the right.

How to use

  1. Go to the menu View → Standard views → Axonometric → Isometric.
  2. Or press the Isometric button.

Scripting

The isometric view can be set from the Python console.

It is a method of the ActiveView of the ActiveDocument. The ActiveView only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.

import FreeCAD as App
App.Gui.ActiveDocument.ActiveView.viewIsometric()

import FreeCADGui as Gui
Gui.ActiveDocument.ActiveView.viewIsometric()